path: /build/build/qtvirtualkeyboard-dev-qt-5-5.15.2+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
    && USE="networkmanager connman sctp"  emerge qtnetwork -j
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test X spell" emerge dev-qt/qtvirtualkeyboard:5 -pv -t && \
    USE="-test X spell" emerge -j ${JOBS} --nodeps dev-qt/qtvirtualkeyboard:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtvirtualkeyboard && luet-portage --dir
    /pkgdir/qtvirtualkeyboard dev-qt/qtvirtualkeyboard:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:000d6a08b189e2ab48823712b22f2f77c371edd8b3e24bfb3d7e042347e9ff86
  package:
    name: qtvirtualkeyboard
    version: 5.15.2+3
    category: dev-qt-5
    use_flags:
    - -test
    - X
    - spell
    requires:
    - name: hunspell
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Customizable input framework and virtual keyboard for Qt
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-02-07 19:36:47.669618206 +0000 UTC m=+282.711848247
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdeclarative-5.15.2* =dev-qt/qtgui-5.15.2*
        =dev-qt/qtsvg-5.15.2* spell? ( app-text/hunspell:= ) X? ( x11-libs/libxcb:=
        ) test? ( =dev-qt/qttest-5.15.2* )
      IUSE: handwriting +spell +X debug test
      RDEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdeclarative-5.15.2* =dev-qt/qtgui-5.15.2*
        =dev-qt/qtsvg-5.15.2* spell? ( app-text/hunspell:= ) X? ( x11-libs/libxcb:=
        )
      emerge.packages: dev-qt/qtvirtualkeyboard:5
      kit: qt-kit
      original.package.name: dev-qt/qtvirtualkeyboard
      original.package.slot: "5"
      original.package.version: 5.15.2_p20231011
    treedir: /build/packages
  package_dir: /pkgdir/qtvirtualkeyboard
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5bb48c5e8f78a89f7adbe9acc4fb63590ce49893e44714d650fb130cf506e52d
compressiontype: zstd
files:
- usr/include/qt5/QtHunspellInputMethod/5.15.12/QtHunspellInputMethod/private/hunspellinputmethod_p.h
- usr/include/qt5/QtHunspellInputMethod/5.15.12/QtHunspellInputMethod/private/hunspellinputmethod_p_p.h
- usr/include/qt5/QtHunspellInputMethod/5.15.12/QtHunspellInputMethod/private/hunspellworker_p.h
- usr/include/qt5/QtHunspellInputMethod/QtHunspellInputMethod
- usr/include/qt5/QtHunspellInputMethod/QtHunspellInputMethodDepends
- usr/include/qt5/QtHunspellInputMethod/QtHunspellInputMethodVersion
- usr/include/qt5/QtHunspellInputMethod/qhunspellinputmethod_global.h
- usr/include/qt5/QtHunspellInputMethod/qthunspellinputmethodversion.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/abstractinputpanel_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/appinputpanel_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/appinputpanel_p_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/desktopinputpanel_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/desktopinputselectioncontrol_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/enterkeyaction_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/enterkeyactionattachedtype_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/fallbackinputmethod_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/gesturerecognizer_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/handwritinggesturerecognizer_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/inputmethod_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/inputselectionhandle_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/inputview_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/plaininputmethod_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/platforminputcontext_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/qvirtualkeyboard_staticplugin_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/qvirtualkeyboardinputcontext_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/settings_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/shadowinputcontext_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/shifthandler_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/unipentrace_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/virtualkeyboarddebug_p.h
- usr/include/qt5/QtVirtualKeyboard/5.15.12/QtVirtualKeyboard/private/virtualkeyboardsettings_p.h
- usr/include/qt5/QtVirtualKeyboard/QVirtualKeyboardAbstractInputMethod
- usr/include/qt5/QtVirtualKeyboard/QVirtualKeyboardExtensionPlugin
- usr/include/qt5/QtVirtualKeyboard/QVirtualKeyboardInputContext
- usr/include/qt5/QtVirtualKeyboard/QVirtualKeyboardInputEngine
- usr/include/qt5/QtVirtualKeyboard/QVirtualKeyboardSelectionListModel
- usr/include/qt5/QtVirtualKeyboard/QVirtualKeyboardTrace
- usr/include/qt5/QtVirtualKeyboard/QtVirtualKeyboard
- usr/include/qt5/QtVirtualKeyboard/QtVirtualKeyboardDepends
- usr/include/qt5/QtVirtualKeyboard/QtVirtualKeyboardVersion
- usr/include/qt5/QtVirtualKeyboard/qtvirtualkeyboardversion.h
- usr/include/qt5/QtVirtualKeyboard/qvirtualkeyboard_global.h
- usr/include/qt5/QtVirtualKeyboard/qvirtualkeyboardabstractinputmethod.h
- usr/include/qt5/QtVirtualKeyboard/qvirtualkeyboardextensionplugin.h
- usr/include/qt5/QtVirtualKeyboard/qvirtualkeyboardinputcontext.h
- usr/include/qt5/QtVirtualKeyboard/qvirtualkeyboardinputengine.h
- usr/include/qt5/QtVirtualKeyboard/qvirtualkeyboardselectionlistmodel.h
- usr/include/qt5/QtVirtualKeyboard/qvirtualkeyboardtrace.h
- usr/lib64/cmake/Qt5Gui/Qt5Gui_QVirtualKeyboardPlugin.cmake
- usr/lib64/cmake/Qt5HunspellInputMethod/Qt5HunspellInputMethodConfig.cmake
- usr/lib64/cmake/Qt5HunspellInputMethod/Qt5HunspellInputMethodConfigVersion.cmake
- usr/lib64/cmake/Qt5VirtualKeyboard/Qt5VirtualKeyboardConfig.cmake
- usr/lib64/cmake/Qt5VirtualKeyboard/Qt5VirtualKeyboardConfigVersion.cmake
- usr/lib64/cmake/Qt5VirtualKeyboard/Qt5VirtualKeyboard_QtVirtualKeyboardHunspellPlugin.cmake
- usr/lib64/libQt5HunspellInputMethod.prl
- usr/lib64/libQt5HunspellInputMethod.so
- usr/lib64/libQt5HunspellInputMethod.so.5
- usr/lib64/libQt5HunspellInputMethod.so.5.15
- usr/lib64/libQt5HunspellInputMethod.so.5.15.12
- usr/lib64/libQt5VirtualKeyboard.prl
- usr/lib64/libQt5VirtualKeyboard.so
- usr/lib64/libQt5VirtualKeyboard.so.5
- usr/lib64/libQt5VirtualKeyboard.so.5.15
- usr/lib64/libQt5VirtualKeyboard.so.5.15.12
- usr/lib64/pkgconfig/Qt5VirtualKeyboard.pc
- usr/lib64/qt5/mkspecs/modules/qt_lib_hunspellinputmethod_private.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_virtualkeyboard.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_virtualkeyboard_private.pri
- usr/lib64/qt5/plugins/platforminputcontexts/libqtvirtualkeyboardplugin.so
- usr/lib64/qt5/plugins/virtualkeyboard/libqtvirtualkeyboard_hunspell.so
- usr/lib64/qt5/qml/QtQuick/VirtualKeyboard/Settings/libqtquickvirtualkeyboardsettingsplugin.so
- usr/lib64/qt5/qml/QtQuick/VirtualKeyboard/Settings/plugins.qmltypes
- usr/lib64/qt5/qml/QtQuick/VirtualKeyboard/Settings/qmldir
- usr/lib64/qt5/qml/QtQuick/VirtualKeyboard/Styles/libqtquickvirtualkeyboardstylesplugin.so
- usr/lib64/qt5/qml/QtQuick/VirtualKeyboard/Styles/plugins.qmltypes
- usr/lib64/qt5/qml/QtQuick/VirtualKeyboard/Styles/qmldir
- usr/lib64/qt5/qml/QtQuick/VirtualKeyboard/libqtquickvirtualkeyboardplugin.so
- usr/lib64/qt5/qml/QtQuick/VirtualKeyboard/plugins.qmltypes
- usr/lib64/qt5/qml/QtQuick/VirtualKeyboard/qmldir
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/BDEPEND
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/BUILD_TIME
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/CATEGORY
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/CBUILD
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/CFLAGS
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/CHOST
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/CONTENTS
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/COUNTER
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/CXXFLAGS
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/DEFINED_PHASES
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/DEPEND
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/DESCRIPTION
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/EAPI
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/FEATURES
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/HOMEPAGE
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/INHERITED
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/IUSE
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/KEYWORDS
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/LDFLAGS
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/LICENSE
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/NEEDED
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/PF
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/PROVIDES
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/RDEPEND
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/REQUIRES
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/RESTRICT
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/SIZE
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/SLOT
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/USE
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/environment.bz2
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/qtvirtualkeyboard-5.15.2_p20231011.ebuild
- var/db/pkg/dev-qt/qtvirtualkeyboard-5.15.2_p20231011/repository
package_cacheimage: ""
runtime:
  name: qtvirtualkeyboard
  version: 5.15.2+3
  category: dev-qt-5
  use_flags:
  - -test
  - X
  - spell
  requires:
  - name: hunspell
    version: '>=0'
    category: app-text
  - name: qtdeclarative
    version: '>=0'
    category: dev-qt-5
  - name: qtsvg
    version: '>=0'
    category: dev-qt-5
  - name: libxcb
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Customizable input framework and virtual keyboard for Qt
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdeclarative-5.15.2* =dev-qt/qtgui-5.15.2*
      =dev-qt/qtsvg-5.15.2* spell? ( app-text/hunspell:= ) X? ( x11-libs/libxcb:=
      ) test? ( =dev-qt/qttest-5.15.2* )
    IUSE: handwriting +spell +X debug test
    RDEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdeclarative-5.15.2* =dev-qt/qtgui-5.15.2*
      =dev-qt/qtsvg-5.15.2* spell? ( app-text/hunspell:= ) X? ( x11-libs/libxcb:=
      )
    emerge.packages: dev-qt/qtvirtualkeyboard:5
    kit: qt-kit
    original.package.name: dev-qt/qtvirtualkeyboard
    original.package.slot: "5"
    original.package.version: 5.15.2_p20231011
